Subject: Re: [bug#58357] [Patch staging ] doc add a recommended system in 'Hardware Considerations'

From: [email-masked]
Date: Wed, 16 Nov 2022 23:16:17 +0000

November 15, 2022 7:23 PM, "pelzflorian (Florian Pelz)" <[email-masked]> wrote:

> Hello Joshua,
> 
> * Ludo added warnings about unsupported hardware to the installer:
> <https://issues.guix.gnu.org/59003>.
> 
> * I’m still not fond of recommending specific hardware. That’s what RYF
> is for, and RYF gets mentioned in the docs.
> 
> * But: Maybe the 2GB requirement should be documented after all.
> 
> IIRC someone somewhere suggested treating such high RAM usage a bug
> and reducing module imports, for example, but not add a memory
> requirement to the documentation. I run a guix search and think the
> de-facto requirement is somewhere slightly above 1GB? But I guess I
> test wrongly.
> 
> I’m keeping this bug open because of the RAM thing. WDYT?

I can submit a patch in the guix manual to recommend hardware with at least 
1 or 2GB.  Which is better? 1 or 2?

> Regards,
> Florian